﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SQL_ATTACK
{
    public partial class AdminLockDown : Form
    {
        public AdminLockDown()
        {
            InitializeComponent();
        }

        private void AdminLockDown_Load(object sender, EventArgs e)
        {
            resetGUI();
        }

        private void bn_makeRandomPassword_Click(object sender, EventArgs e)
        {
            System.Random ran = new System.Random();
            System.Text.StringBuilder newRanPassword = new System.Text.StringBuilder();

            char tempChar=char.MaxValue;
            for (int i = 0; i < 40; i++)
            {
                tempChar=System.Convert.ToChar(ran.Next(65000));
                if(char.IsLetterOrDigit(tempChar))
                    newRanPassword.Append(tempChar);
            }

            tb_ranPassword.Text = newRanPassword.ToString();
        }

        private void bn_ResetLockDown_Click(object sender, EventArgs e)
        {
            SQL_DEFEND.Properties.Settings.Default.LockDown = false;
            SQL_DEFEND.Properties.Settings.Default.Broken = false;
            SQL_DEFEND.Properties.Settings.Default.TripWireCount = 0;
            resetSettings();

            resetGUI();
        }
        private void resetSettings()
        {
            SQL_DEFEND.Properties.Settings.Default.TripWireCount = 0;
            SQL_DEFEND.Properties.Settings.Default.ShowLockDown = cb_showLockDown.Checked;
            SQL_DEFEND.Properties.Settings.Default.TripWireMax = System.Convert.ToInt32(tb_maxTrys.Text);
            SQL_DEFEND.Properties.Settings.Default.RanPassword = tb_ranPassword.Text;
            SQL_DEFEND.Properties.Settings.Default.User = tb_userName.Text;
            SQL_DEFEND.Properties.Settings.Default.Password = tb_password.Text;
            SQL_DEFEND.Properties.Settings.Default.Save();
        }

        private void resetGUI()
        {
            tb_tryCount.Text = SQL_DEFEND.Properties.Settings.Default.TripWireCount.ToString();
            cb_showLockDown.Checked = SQL_DEFEND.Properties.Settings.Default.ShowLockDown;
            tb_maxTrys.Text = SQL_DEFEND.Properties.Settings.Default.TripWireMax.ToString();
            tb_ranPassword.Text = SQL_DEFEND.Properties.Settings.Default.RanPassword;
            tb_userName.Text = SQL_DEFEND.Properties.Settings.Default.User;
            tb_password.Text = SQL_DEFEND.Properties.Settings.Default.Password;
            cb_LockDown.Checked = SQL_DEFEND.Properties.Settings.Default.LockDown;
        }

        private void AdminLockDown_FormClosing(object sender, FormClosingEventArgs e)
        {
            resetSettings();
        }

        private void cb_showLockDown_CheckedChanged(object sender, EventArgs e)
        {
        }

        private void bn_twitterKeys_Click(object sender, EventArgs e)
        {
            string Token = SQL_DEFEND.Properties.Settings.Default.Token;
            string TokenSecret = SQL_DEFEND.Properties.Settings.Default.TokenSecret;
            string PIN = SQL_DEFEND.Properties.Settings.Default.Pin;
            string ConsumerKey = SQL_DEFEND.Properties.Settings.Default.ConsumerKey;
            string ConsumerKeySecret = SQL_DEFEND.Properties.Settings.Default.ConsumerKeySecret;


            SQL_DEFEND.TwitterCNC.Twitter_KeysInput_GUI keyGui = new SQL_DEFEND.TwitterCNC.Twitter_KeysInput_GUI(Token, TokenSecret, PIN, ConsumerKey, ConsumerKeySecret);
            keyGui.ShowDialog();
        }
    }
}
